/* Variables */
:root{
    --pale-blue: hsl(225, 100%, 94%);
    --bright-blue: hsl(245, 75%, 52%);
    --very-pale-blue: hsl(225, 100%, 98%);
    --desaturated-blue: hsl(224, 23%, 55%);
    --dark-blue: hsl(223, 47%, 23%);
}
body{
    font-size: 16px;
    font-family: 'Red Hat Display', sans-serif;
    color: var(--dark-blue);
}
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Content */
.content{
    background-image: url('../images/pattern-background-desktop.svg');
    background-repeat: no-repeat;
    background-size: contain;
    max-width: 1440px;
    height: 100vh;
    background-color: var(--pale-blue);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

/* Card */
.card{
    width: 450px;
    height: auto;
    background-color: var(--very-pale-blue);
    border-radius: 1.5em;
}

/* Card img */
.card__img{
    width: 100%;
    height: 220px;
}
.card__img img{
    width: 100%;
    border-top-left-radius: 1.5em;
    border-top-right-radius: 1.5em;
}

/* Card Content */
.card__content{
    width: 80%;
    height: auto;
    margin: 0 auto;
    padding: 2em 1em;
    text-align: center;
}
.card__content-title h2{
    padding: 1em 0;
    font-weight: 900;
}
.card__content-info p{
    padding-bottom: 2em;
    font-weight: 500;
    color: var(--desaturated-blue);
}
.card__content-plan{
    display: flex;
    flex-direction: row;
    align-items: center;
    padding-bottom: 2em;
}
.card__content-planinfo{
    width: 80%;
    align-items: center;
}
.card__content-planoption{
    width: 20%;
}
.card__content-planoption:hover{
    cursor: pointer;
}
.card__content-planinfo{
    display: flex;
    flex-direction: row;
    gap: 1em;
    justify-content: center;
    text-align: left;
}
.plan__info-price p:nth-child(1){
    font-weight: 900;
}
.plan__info-img{
    width: 20%;
}
.plan__info-img img{
    width: 100%;
    float: left;
}
.plan__info-price{
    width: 60%;
}
.plan__info-price p:last-child{
    color: var(--desaturated-blue);
}
.card__content-planoption{
    text-decoration: underline;
    color: var(--bright-blue);
    font-weight: bold;
}

/* Card btn */
.card__content-btn{
    display: flex;
    flex-direction: column;
}
.btn{
    background-color: var(--bright-blue);
    padding: 1em 0;
    border-radius: .6em;
    color: var(--pale-blue);
    margin-bottom: 2em;
    border: none;
    font-size: 1em;
    font-weight: bold;
    -webkit-box-shadow: 0px 19px 24px -5px var(--desaturated-blue); 
    box-shadow: 0px 19px 24px -5px var(--desaturated-blue);
}
.card__content-btn span{
    color: var(--desaturated-blue);
}
.card__content-btn span:hover{
    cursor: pointer;
}

/* Media Query */
@media(max-width: 480px) and (min-width:320px){
    body{
        font-size: 13px;
    }
    .content{
        background-image: url('../images/pattern-background-mobile.svg');
    }
    .card{
        width: 300px;
    }
    .card__img{
        height: 130px;
    }
    .card__content{
        width: 90%;
    }
}